## cmake-4.1.0-1.src.tar.zst

=== Tests/EmptyDepends/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(EmptyDepends)

include(CTest)

set(extra_dep)

add_custom_command(OUTPUT ${CMAKE_BINARY_DIR}/qrc_my.cxx
  COMMAND ${CMAKE_COMMAND} -E touch "${CMAKE_BINARY_DIR}/qrc_my.cxx"
  DEPENDS "${extra_dep}" "${CMAKE_BINARY_DIR}/my.qrc")

add_custom_command(OUTPUT ${CMAKE_BINARY_DIR}/my.qrc
  COMMAND ${CMAKE_COMMAND} -E touch ${CMAKE_BINARY_DIR}/my.qrc)

add_library(qrc STATIC ${CMAKE_BINARY_DIR}/qrc_my.cxx)

=== Source/Checks/Curses/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13...3.31 FATAL_ERROR)
project(CheckCurses C)

set(CURSES_NEED_NCURSES TRUE)
find_package(Curses)
if(NOT Curses_FOUND)
  return()
endif()
include_directories(${CURSES_INCLUDE_DIRS})
add_executable(CheckCurses CheckCurses.c)
target_link_libraries(CheckCurses ${CURSES_LIBRARIES})

foreach(h
    CURSES_HAVE_CURSES_H
    CURSES_HAVE_NCURSES_H
    CURSES_HAVE_NCURSES_NCURSES_H
    CURSES_HAVE_NCURSES_CURSES_H
    )
  if(${h})
    target_compile_definitions(CheckCurses PRIVATE ${h})
  endif()
endforeach()

=== Tests/FindGTK2/giomm/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

project(giomm CXX)

find_package(GTK2 COMPONENTS gtk gtkmm REQUIRED)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

add_executable(giomm WIN32 main.cpp)
target_link_libraries(giomm GTK2::giomm)

=== Tests/SwiftOnly/SubC/CMakeLists.txt ===
add_library(SubC SubC.swift)
target_link_libraries(SubC PUBLIC SubD)

=== PKGBUILD ===
# Maintainer: Alexey Pavlov <alexpux@gmail.com>
# Contributor: Martell Malone <martellmalone@gmail.com>

_realname=cmake
pkgname=("${_realname}" "${_realname}-emacs" "${_realname}-vim")
pkgver=4.1.0
pkgrel=1
pkgdesc="A cross-platform open-source make system"
arch=('i686' 'x86_64')
url="https://www.cmake.org/"
msys2_repository_url="https://gitlab.kitware.com/cmake/cmake"
msys2_references=(
  "anitya: 306"
  "cpe: cpe:2.3:a:cmake_project:cmake"
)
license=(spdx:BSD-3-Clause)
makedepends=('gcc'
             'emacs'
             'autotools'
             'jsoncpp-devel'
             'libarchive-devel'
             'libbz2-devel'
             'libcurl-devel'
             'libexpat-devel'
             'liblzma-devel'
             'librhash-devel'
             'libutil-linux-devel'
             'libuv-devel'
             'libzstd-devel'
             'ncurses-devel'
             'zlib-devel')
depends=('gcc-libs'
         'jsoncpp'
         'libcurl'
         'libexpat'
         'libarchive'
         'librhash'
         'libutil-linux'
         'libuv'
         'ncurses'
         'pkgconf'
         'zlib'
         'cppdap')
options=('staticlibs' 'strip')
source=(https://www.cmake.org/files/v${pkgver%.*}/${pkgname}-${pkgver}.tar.gz)
sha256sums=('81ee8170028865581a8e10eaf055afb620fa4baa0beb6387241241a975033508')
# =========================================== #

build() {
  [[ -d ${srcdir}/build-${CARCH} ]] && rm -rf ${srcdir}/build-${CARCH}
  mkdir -p ${srcdir}/build-${CARCH}
  cd ${srcdir}/build-${CARCH}
  MSYSTEM=MSYS ${srcdir}/${_realname}-${pkgver}/configure \
    --prefix=/usr \
    --system-libs \
    --no-qt-gui \
    --parallel=$(nproc) \
    --mandir=share/man \
    --docdir=share/doc/${_realname} \
    --datadir=share/${_realname} \
    -- -DCURSES_FORM_LIBRARY=/usr/lib/libformw.dll.a \
      -DCTEST_TEST_CTEST=ON \
      -DCMAKE_BUILD_TYPE=Release
  plain "Start building..."
  make
  make DESTDIR=${srcdir}/dest install
}

#Enable once we can get all tests to pass
#check() {
#  cd ${srcdir}/build-${CARCH}
#  make test
#}


package_cmake() {
  cd ${srcdir}/dest

  install -d  ${pkgdir}/usr/bin/
  install -d  ${pkgdir}/usr/share/aclocal
  install -d  ${pkgdir}/usr/share/${_realname}

  cp -r usr/bin/* ${pkgdir}/usr/bin/
  cp -r usr/share/aclocal/* ${pkgdir}/usr/share/aclocal/
  cp -r usr/share/cmake/* ${pkgdir}/usr/share/${_realname}/

  install -Dm644 ${srcdir}/${pkgname}-${pkgver}/LICENSE.rst \
    ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
}

package_cmake-vim() {
  pkgdesc="A cross-platform open-source make system (vim mode)"
  depends=("cmake=${pkgver}" 'vim')
  cd ${srcdir}/dest
  install -d ${pkgdir}/usr/share

  cp -rf usr/share/vim ${pkgdir}/usr/share/
}

package_cmake-emacs() {
  pkgdesc="A cross-platform open-source make system (Emacs mode)"
  depends=(cmake=${pkgver} 'emacs')
  cd ${srcdir}/dest

  install -d ${pkgdir}/usr/share
  cp -rf usr/share/emacs ${pkgdir}/usr/share/

  /usr/bin/emacs -batch -f batch-byte-compile \
    ${pkgdir}/usr/share/emacs/site-lisp/cmake-mode.el
}
